"{ Package: 'jv:libgdbs' }"

"{ NameSpace: Smalltalk }"

GDBMICommand subclass:#GDBMI_catch_assert
	instanceVariableNames:''
	classVariableNames:''
	poolDictionaries:''
	category:'GDB-Core-Commands-MI'
!

!GDBMI_catch_assert class methodsFor:'documentation'!

documentation
"
The `-catch-assert' Command
---------------------------

Synopsis
........

      -catch-assert [ -c CONDITION] [ -d ] [ -t ]

   Add a catchpoint for failed Ada assertions.

   The possible optional parameters for this command are:

`-c CONDITION'
     Make the catchpoint conditional on CONDITION.

`-d'
     Create a disabled catchpoint.

`-t'
     Create a temporary catchpoint.

{No value for `GDBN'} Command
.............................

The corresponding {No value for `GDBN'} command is `catch assert'.

Example
.......

     -catch-assert
     ^done,bkptno='5',bkpt={number='5',type='breakpoint',disp='keep',
     enabled='y',addr='0x0000000000404888',what='failed Ada assertions',
     thread-groups=['i1'],times='0',
     original-location='__gnat_debug_raise_assert_failure'}
     (gdb)


"
! !

!GDBMI_catch_assert methodsFor:'accessing'!

operation
	^ 'catch-assert'
! !

