"{ Package: 'jv:libgdbs' }"

"{ NameSpace: Smalltalk }"

GDBMICommand subclass:#GDBMI_exec_next
	instanceVariableNames:''
	classVariableNames:''
	poolDictionaries:''
	category:'GDB-Core-Commands-MI'
!

!GDBMI_exec_next class methodsFor:'documentation'!

documentation
"
The `-exec-next' Command
------------------------

Synopsis
........

      -exec-next [--reverse]

   Resumes execution of the inferior program, stopping when the
beginning of the next source line is reached.

   If the `--reverse' option is specified, resumes reverse execution of
the inferior program, stopping at the beginning of the previous source
line.  If you issue this command on the first line of a function, it
will take you back to the caller of that function, to the source line
where the function was called.

{No value for `GDBN'} Command
.............................

The corresponding {No value for `GDBN'} command is `next'.

Example
.......

     -exec-next
     ^running
     (gdb)
     *stopped,reason='end-stepping-range',line='8',file='hello.c'
     (gdb)


"
! !

!GDBMI_exec_next methodsFor:'accessing'!

operation
	^ 'exec-next'
! !

