"{ Package: 'jv:libgdbs' }"

"{ NameSpace: Smalltalk }"

GDBMICommand subclass:#GDBMI_file_exec_and_symbols
	instanceVariableNames:''
	classVariableNames:''
	poolDictionaries:''
	category:'GDB-Core-Commands-MI'
!

!GDBMI_file_exec_and_symbols class methodsFor:'documentation'!

documentation
"
The `-file-exec-and-symbols' Command
------------------------------------

Synopsis
........

      -file-exec-and-symbols FILE

   Specify the executable file to be debugged.  This file is the one
from which the symbol table is also read.  If no file is specified, the
command clears the executable and symbol information.  If breakpoints
are set when using this command with no arguments, {No value for
`GDBN'} will produce error messages.  Otherwise, no output is produced,
except a completion notification.

{No value for `GDBN'} Command
.............................

The corresponding {No value for `GDBN'} command is `file'.

Example
.......

     (gdb)
     -file-exec-and-symbols /kwikemart/marge/ezannoni/TRUNK/mbx/hello.mbx
     ^done
     (gdb)


"
! !

!GDBMI_file_exec_and_symbols methodsFor:'accessing'!

operation
	^ 'file-exec-and-symbols'
! !

