"{ Package: 'jv:libgdbs' }"

"{ NameSpace: Smalltalk }"

GDBMICommand subclass:#GDBMI_gdb_version
	instanceVariableNames:''
	classVariableNames:''
	poolDictionaries:''
	category:'GDB-Core-Commands-MI'
!

!GDBMI_gdb_version class methodsFor:'documentation'!

documentation
"
The `-gdb-version' Command
--------------------------

Synopsis
........

      -gdb-version

   Show version information for {No value for `GDBN'}.  Used mostly in
testing.

{No value for `GDBN'} Command
.............................

The {No value for `GDBN'} equivalent is `show version'.  {No value for
`GDBN'} by default shows this information when you start an interactive
session.

Example
.......

     (gdb)
     -gdb-version
     ~GNU gdb 5.2.1
     ~Copyright 2000 Free Software Foundation, Inc.
     ~GDB is free software, covered by the GNU General Public License, and
     ~you are welcome to change it and/or distribute copies of it under
     ~ certain conditions.
     ~Type 'show copying' to see the conditions.
     ~There is absolutely no warranty for GDB.  Type 'show warranty' for
     ~ details.
     ~This GDB was configured as
      '--host=sparc-sun-solaris2.5.1 --target=ppc-eabi'.
     ^done
     (gdb)


"
! !

!GDBMI_gdb_version methodsFor:'accessing'!

operation
	^ 'gdb-version'
! !

