"{ Package: 'jv:libgdbs' }"

"{ NameSpace: Smalltalk }"

GDBMICommand subclass:#GDBMI_info_gdb_mi_command
	instanceVariableNames:''
	classVariableNames:''
	poolDictionaries:''
	category:'GDB-Core-Commands-MI'
!

!GDBMI_info_gdb_mi_command class methodsFor:'documentation'!

documentation
"
The `-info-gdb-mi-command' Command
----------------------------------

Synopsis
........

      -info-gdb-mi-command CMD_NAME

   Query support for the GDB/MI command named CMD_NAME.

   Note that the dash (`-') starting all GDB/MI commands is technically
not part of the command name (*note GDB/MI Input Syntax::), and thus
should be omitted in CMD_NAME.  However, for ease of use, this command
also accepts the form with the leading dash.

{No value for `GDBN'} Command
.............................

There is no corresponding {No value for `GDBN'} command.

Result
......

The result is a tuple.  There is currently only one field:

`exists'
     This field is equal to `'true'' if the GDB/MI command exists,
     `'false'' otherwise.


Example
.......

Here is an example where the GDB/MI command does not exist:

     -info-gdb-mi-command unsupported-command
     ^done,command={exists='false'}

And here is an example where the GDB/MI command is known to the
debugger:

     -info-gdb-mi-command symbol-list-lines
     ^done,command={exists='true'}


"
! !

!GDBMI_info_gdb_mi_command methodsFor:'accessing'!

operation
	^ 'info-gdb-mi-command'
! !

!GDBMI_info_gdb_mi_command class methodsFor:'documentation'!

version_HG

    ^ '$Changeset: <not expanded> $'
! !

