"{ Package: 'jv:libgdbs/tests' }"

"{ NameSpace: Smalltalk }"

TestCase subclass:#GDBMIPrinterTests
	instanceVariableNames:'stream printer'
	classVariableNames:''
	poolDictionaries:''
	category:'GDB-Private-Tests'
!


!GDBMIPrinterTests methodsFor:'running'!

setUp
    stream := String new writeStream.
    printer := GDBMIPrinter on: stream.

    "Created: / 11-07-2017 / 22:15:28 / Jan Vrany <jan.vrany@fit.cvut.cz>"
! !

!GDBMIPrinterTests methodsFor:'tests'!

testCString

    printer printCString:'aaa'.
    self assert: stream contents equals: '"aaa"'.
    stream reset.

    printer printCString:'abc', Character tab, 'xyz'.
    self assert: stream contents equals: '"abc\txyz"'.
    stream reset.

    printer printCString:'abc\\xyz'.
    self assert: stream contents equals: '"abc\\\\xyz"'.
    stream reset.

    printer printCString:'a "bcxy" z'.
    self assert: stream contents equals: '"a \"bcxy\" z"'.
    stream reset.

    printer printCString:'a z'.
    self assert: stream contents equals: '"a z"'.
    stream reset.

    printer printCString:'a', (Character codePoint: 16r80).
    self assert: stream contents equals: '"a\x80"'.
    stream reset.

    "Created: / 11-07-2017 / 22:13:43 / Jan Vrany <jan.vrany@fit.cvut.cz>"
    "Modified: / 11-07-2017 / 23:55:46 / Jan Vrany <jan.vrany@fit.cvut.cz>"
!

testOption

    printer printOption:'aaa'.
    self assert: stream contents equals: 'aaa'.
    stream reset.

    printer printOption:'-t'.
    self assert: stream contents equals: '-t'.
    stream reset.

    printer printOption:'--thread'.
    self assert: stream contents equals: '--thread'.
    stream reset.

    printer printOption:'a "bcxy" z'.
    self assert: stream contents equals: '"a \"bcxy\" z"'.
    stream reset.

    printer printOption:'100'.
    self assert: stream contents equals: '100'.
    stream reset.

    "Created: / 11-07-2017 / 23:21:03 / Jan Vrany <jan.vrany@fit.cvut.cz>"
! !

!GDBMIPrinterTests class methodsFor:'documentation'!

version_HG

    ^ '$Changeset: <not expanded> $'
! !

